# Class ContractAllocationFailedError

This error indicates that something went wrong while attempting to determine the location of this contract's state variables. This error will be thrown if you attempt to use decoding functions after something went wrong during setup. Unfortunately, we can't always avoid this at the moment; we're hoping to make this more robust in the future with Truffle DB. In the meantime, it is at least worth noting that you should not encounter this error if your entire project was written in Solidity and all compiled at once. Sorry.

#### Hierarchy

- Error
  - ContractAllocationFailedError

- Defined in decoder/lib/errors.ts:63

#####
Index

### Constructors

constructor

### Properties

compilationId
contractName
id

## Constructors

### constructor

- new ContractAllocationFailedError(id, contractName, compilationId): ContractAllocationFailedError

- #### Parameters

  - ##### id: number

  - ##### contractName: string

  - ##### compilationId: string

  #### Returns ContractAllocationFailedError

  Overrides Error.constructor

  - Defined in decoder/lib/errors.ts:67

## Properties

### compilationId

compilationId: string

- Defined in decoder/lib/errors.ts:66

### contractName

contractName: string

- Defined in decoder/lib/errors.ts:65

### id

id: number

- Defined in decoder/lib/errors.ts:64

Generated using TypeDoc